You are not logged in.

#1 2016-02-18 22:39

UGLee
Member
Registered: 2016-02-18
Posts: 2

Kodi/xbmc

Newbie that needs instruction as to how to install Kodi/xbmc tried to do the http://kodi.wiki/view/HOW-TO:Compile_Ko … _or_Ubuntu but at end MAKE didn't work and sudo make install didn't work. Can someone instruct me in the process of installing this?

Offline

#2 2016-02-18 23:11

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,454
Website

Re: Kodi/xbmc

Install package 'kodi' from Synaptic package manager or run in terminal:
$ sudo apt-get install kodi

Offline

#3 2016-02-19 13:14

UGLee
Member
Registered: 2016-02-18
Posts: 2

Re: Kodi/xbmc

No Kodi either way
ot@q4os-desktop:~# sudo apt-get install kodi
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package kodi

Offline

#4 2016-02-19 13:53

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,454
Website

Re: Kodi/xbmc

We are able to install 'kodi' with no issues. Please run commands in terminal and report here to analyze:
$ sudo apt-get update
$ sudo apt-get install kodi
$ qrepolist
$ get-q4os-version

Offline

#5 2016-02-19 16:56

bobby
Member
From: California - Arizona, USA
Registered: 2015-12-24
Posts: 452
Website

Re: Kodi/xbmc

I ran the original apt-get install recommended in Post #2 above and kodi installed and worked properly for me.


Life code should be like source code.......without proper syntax it won't work smile

Offline

#6 2017-07-22 15:49

ertiti57
Member
Registered: 2017-07-22
Posts: 1

Re: Kodi/xbmc

ertiti03@q4os-desktop:~$ sudo apt-get install kodi
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
kodi : Depende: kodi-bin (>= 5:14.2+repack-dmo1b2) pero no va a instalarse
        Depende: kodi-data (>= 5:14.2+repack-dmo1b2) pero no va a instalarse
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

Offline

#7 2017-09-02 08:35

huskersjlong
Member
Registered: 2017-09-02
Posts: 1

Re: Kodi/xbmc

i'm having troubles as well

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
kodi : Depends: kodi-bin (>= 5:14.2+repack-dmo1b2) but it is not going to be installed
        Depends: kodi-data (>= 5:14.2+repack-dmo1b2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Offline

#8 2017-09-02 11:11

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,454
Website

Re: Kodi/xbmc

We are able to install 'kodi' with no issues. Please run following commands in terminal and report back for us to be able to reproduce and analyze this issue:
$ qrepolist
$ apt-cache policy kodi
$ cat /etc/apt/preferences.d/pin80-q4os
$ get-q4os-version

Offline

#9 2017-09-02 17:23

crosscourt
Member
From: Wash DC
Registered: 2017-05-07
Posts: 959

Re: Kodi/xbmc

Installed on Q4OS 1.87 full desktop profile with no issues at all from Synaptic.


Q4OS Techogeezer  running Dell Optiplex 7010 MT- i5 3570 3.4ghz, 8gb ram, 500gb hard drive, Geforce GTX 1050 Ti

Offline

#10 2017-09-27 16:52

danielboon
Member
Registered: 2017-09-18
Posts: 10

Re: Kodi/xbmc

q4osteam wrote:

We are able to install 'kodi' with no issues. Please run following commands in terminal and report back for us to be able to reproduce and analyze this issue:
$ qrepolist
$ apt-cache policy kodi
$ cat /etc/apt/preferences.d/pin80-q4os
$ get-q4os-version

I too am having a issue installing Kodi. I have tried thru synaptic and I have tried to install via /terminal as listed below

root@q4os-desktop:~# apt install kodi
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kodi : Depends: kodi-bin (>= 5:14.2+repack-dmo1b2) but it is not going to be installed
        Depends: kodi-data (>= 5:14.2+repack-dmo1b2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@q4os-desktop:~#

now before I am told about the broken packages I have done the command from the wiki"

root@q4os-desktop:~#  sudo sh /usr/share/apps/q4os_system/bin/qapt_fix.sh
Waiting for package system to be released ..
Seems ready, will be checked once more.
Now safe ready.
Done.
Checking package system ..
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package system ok.
root@q4os-desktop:~#

that came from the wiki https://q4os.org/dqa011.html#system.1
where the other 2 commands all checked good and updated fully

so what would be the remedy? I see some can just get it installed via synaptic but I can do nothing

and before i closed the post i tried to install again via term

root@q4os-desktop:~# sudo apt-get install kodi
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 kodi : Depends: kodi-bin (>= 5:14.2+repack-dmo1b2) but it is not going to be installed
        Depends: kodi-data (>= 5:14.2+repack-dmo1b2) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@q4os-desktop:~#

now i will post the output of the commands the team sent out for request from another user

root@q4os-desktop:~#  qrepolist
deb http://q4os.org/q4repo/ q4os-1-0-cn main
deb http://q4os.org/qtderepo/ jessie main
deb http://ftp.debian.org/debian/ jessie non-free contrib main
deb http://security.debian.org/ jessie/updates non-free contrib main
deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free
deb http://ftp.debian.org/debian/ jessie-backports non-free contrib main
deb http://www.deb-multimedia.org/ jessie non-free main
deb [arch=i386,amd64] http://linux.dropbox.com/debian/ jessie main
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
root@q4os-desktop:~#
root@q4os-desktop:~#  apt-cache policy kodi
kodi:
  Installed: (none)
  Candidate: 5:14.2+repack-dmo1b2
  Version table:
     5:14.2+repack-dmo1b2 0
        100 http://www.deb-multimedia.org/ jessie/main amd64 Packages
     16.1+dfsg1-2~bpo8+2 0
        100 http://ftp.debian.org/debian/ jessie-backports/main amd64 Packages
root@q4os-desktop:~#
root@q4os-desktop:~# cat /etc/apt/preferences.d/pin80-q4os
Explanation: increase q4os repo priority
Explanation: to be preferred to debian
Explanation: ---
Package: *
Pin: release o=q4os.org,n=q4os-1-0-cn
Pin-Priority: 501

Package: *
Pin: release o=q4os.org,n=q4os-2-0-cn
Pin-Priority: 501

Package: *
Pin: release o=q4os.org,n=q4os-rpi-1-0-cn
Pin-Priority: 501
root@q4os-desktop:~#
root@q4os-desktop:~# get-q4os-version
1.8.8-n1
root@q4os-desktop:~#

I'd like to run Q4OS more than i do but this flaw has me back to another system.

root@q4os-desktop:~# uname -a
Linux q4os-desktop 4.9.0-0.bpo.3-amd64 #1 SMP Debian 4.9.30-2+deb9u2~bpo8+1 (2017-06-27) x86_64 GNU/Linux
root@q4os-desktop:~#

I updated the kernel when i installed to run my usb tv tuner dongle.  It will only operate on a kernel 4.0 or above.

Offline

#11 2017-09-28 00:40

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,454
Website

Re: Kodi/xbmc

Looks like your system tries to install incompatible version of Kodi from the deb-multimedia repository, so you need to install it directly from backports repository. Run in terminal:
$ sudo apt-get -t jessie-backports install kodi


An alternative way would be to remove 'deb-multimedia' repository from sources list. Edit an appropriate '.list' file in '/etc/apt/sources.list.d/' directory and comment out lines:

deb http://www.deb-multimedia.org jessie main non-free

with leading '#' character. So the line will look as:

#deb http://www.deb-multimedia.org jessie main non-free

After that, install kodi from terminal:
$ sudo apt-get update
$ sudo apt-get install kodi

Offline

#12 2017-09-28 03:37

danielboon
Member
Registered: 2017-09-18
Posts: 10

Re: Kodi/xbmc

q4osteam wrote:

Looks like your system tries to install incompatible version of Kodi from the deb-multimedia repository, so you need to install it directly from backports repository. Run in terminal:
$ sudo apt-get -t jessie-backports install kodi


An alternative way would be to remove 'deb-multimedia' repository from sources list. Edit an appropriate '.list' file in '/etc/apt/sources.list.d/' directory and comment out lines:

deb http://www.deb-multimedia.org jessie main non-free

with leading '#' character. So the line will look as:

#deb http://www.deb-multimedia.org jessie main non-free

After that, install kodi from terminal:
$ sudo apt-get update
$ sudo apt-get install kodi

Ok that took care of the Kodi Issue. I thank you. Now I have a few more issues with firmware so probably i should not ask here but I will. I can move it when told to where. After I install Kodi and even before I have been missing some realtek firmware as follows.

 Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-1.fw for module r8169

I have done a bit of digging such as links
https://www.google.com/search?q=rtl_nic … e&ie=UTF-8

https://packages.debian.org/wheezy/all/ … k/download

which way do i go from here?

Offline

#13 2017-09-28 08:54

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 1,726
Website

Re: Kodi/xbmc

You can install firmware-realtek from the repositories, that should solve that issue. smile

Offline

Board footer

Powered by FluxBB